# Interface error details

Monitors error details of ethernet like interfaces

**IMPORTANT**: Disable this check globaly please. Enable it only for devices where you want to monitorerror details.\
**(in my environment of about 400 switches it added around 6000 new services!!!)**

---
### Check Info

* *service*: creates one item per ethernet like interface
* *state*: always ok
* *wato*: none
* *perfdata*: 
    * Alignment errors 
    * Deferred transmissions 
    * Excessive collisions 
    * FCS errors 
    * Frame too long 
    * Internal MAC receive errors 
    * Internal MAC transmit errors 
    * Late collisions 
    * Multiple collision frames 
    * Sarrier sense errors 
    * Single collision frames 
    * Symbol errors 
    * SQE test errors
 
---
### Download

* [iferrordetails.mkp](https://thl-cmk.hopto.org/gitlab/checkmk/vendor-independent/iferrordetails/-/raw/master/iferrordetails.mkp "Download the MKP file")

---                   
### Installation

You can install the package by uploading it to your CheckMK site and as site user run `mkp install iferrordetails.mkp`.


In the Enterprise/Free edition of CheckMK you can use the GUI to install the package (_Setup_ -> _Extension Packages_ -> _Upload package_)

---
### Want to contribute?

Nice ;-) Have a look at the [contribution guidelines](CONTRIBUTING.md "Contributing")

---
### Sample output

![sample output](/doc/sample.png?raw=true "sample [SHORT TITLE]")
